
%global PREFIX /usr/
%global BINDIR %{PREFIX}/bin
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT runtime
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%global DEFAULT_QEMU qemu-system-x86_64

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
%define  debug_package %{nil}

Name:      kata-runtime
Version:   1.7.3
Release:   1.0.7%{?dist}
Source0:   %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:    Oracle America
Summary:   Kata containers OCI compatible runtime
Group:     Development/Tools
Url:       https://github.com/kata-containers/runtime
License:   Apache-2.0

BuildRequires: git
BuildRequires: golang >= 1.13.15
%if 0%{?suse_version} && 0%{?is_opensuse}
BuildRequires: openSUSE-release
%endif

Requires: kata-proxy >= 1.7.3
Requires: kata-shim >= 1.7.3
Requires: kata-ksm-throttler >= 1.7.3

Requires: qemu >= 2:2.9.0-9

Requires: kernel-uek-container >= 4.14.14-4
Requires: kata-image >= 1.7.3

%description
Kata Containers runtime component leverages the virtcontainers package to provide a high-performance standards-compliant runtime that creates hardware-virtualized containers. The runtime is OCI-compatible, CRI-O-compatible, and Containerd-compatible, allowing it to work seamlessly with both Docker and Kubernetes respectively.

%prep
%setup 

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/kata-runtime-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make \
	QEMUPATH=/usr/bin/%{DEFAULT_QEMU} \
	SKIP_GO_VERSION_CHECK=1

%install
export GOPATH=$HOME/rpmbuild/BUILD/go/

cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make \
    PREFIX=/usr/ \
    DESTDIR=%{buildroot} \
    QEMUPATH=/usr/bin/%{DEFAULT_QEMU} \
    SKIP_GO_VERSION_CHECK=1 \
    install
sed -i -e '/^initrd =/d' %{buildroot}/usr/share/defaults/kata-containers/configuration.toml

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
/usr/bin/kata-runtime
/usr/bin/kata-collect-data.sh
/usr/bin/containerd-shim-kata-v2
/usr/share/defaults/kata-containers/configuration.toml
/usr/share/defaults/kata-containers/configuration-fc.toml
/usr/share/defaults/kata-containers/configuration-qemu.toml
/usr/share/defaults/kata-containers/configuration-nemu.toml
/usr/share/bash-completion/completions/kata-runtime
/usr/libexec/kata-containers/kata-netmon

%changelog
* Thu Jan 14 2021 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.7.3-1.0.7
- Address CVE-2020-28914

* Fri Aug 14 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.7.3-1.0.6
- Address CVE-2020-16845

* Wed Jun 24 2020 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.7.3-1.0.5
- Address Kata CVE-2020-2023
- Address Kata CVE-2020-2024
- Address Kata CVE-2020-2025
- Address Kata CVE-2020-2026

* Wed Oct 16 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.7.3-1.0.4
- Golang CVE-2019-16276

* Mon Oct 14 2019 Durai G <durai.vattakalvalasu.govindas@oracle.com> - 1.7.3-1.0.3
- added THIRD_PARTY_LICENSES.txt file

* Mon Aug 19 2019 Michael Calunod  <michael.calunod@oracle.com> - 1.7.3-1.0.2
- moved to semantic versioning for Release and added Url

* Thu Jul 11 2019 michthom <michael.a.thompson@oracle.com> - 1.7.3-1
- Added Oracle Specific Files For kata-runtime
